Class | ActiveRecord::ConnectionAdapters::FrontBaseAdapter
In: | lib/active_record/connection_adapters/frontbase_adapter.rb
Parent: | AbstractAdapter

### Methods

active? add_column classes_for_table_name compare_versions create_table current_database default_sequence_name disconnect! drop_table new next_sequence_value prefetch_primary_key? quote quote_string quoted_false quoted_true reconnect! remove_column rename_table reset_pk_sequence! reset_sequence! set_optimistic_transactions set_pessimistic_transactions

### External Aliases

update | -> | delete

### Public Class methods

compare_versions(v1, v2)
new(connection, logger, connection_options, config)

### Public Instance methods

active?()

CONNECTION MANAGEMENT ====================================

add_column(table_name, column_name, type, options = {})

Adds a new column to the named table. See TableDefinition#column for details of the options you can use.

classes_for_table_name(table)
create_table(name, options = {}) {|table_definition| ...}
current_database()
default_sequence_name(table, column)
disconnect!()

Close this connection

drop_table(name, options = {})

Drops a table from the database.

next_sequence_value(sequence_name)

Returns the next sequence value from a sequence generator. Not generally called directly; used by ActiveRecord to get the next primary key value when inserting a new database record (see prefetch_primary_key?).

prefetch_primary_key?(table_name = nil)
quote(value, column = nil)

Quotes the column value to help prevent SQL injection attacks.

quote_string(s)

Quotes a string, escaping any ’ (single quote) characters.

quoted_false()
quoted_true()
reconnect!()
remove_column(table_name, column_name)

Removes the column from the table definition.

##### Examples

     remove_column(:suppliers, :qualification)

rename_table(name, new_name)
reset_pk_sequence!(table, pk = nil, sequence = nil)
reset_sequence!(table, column, sequence = nil)

Set the sequence to the max value of the table‘s column.

set_optimistic_transactions()
set_pessimistic_transactions()

[Validate]